not possible to update to 1.7.2.2